<script lang="ts" setup name="BizSelector">
import { getBizByList } from '@/api/biz/bizApi'
const props = withDefaults(defineProps<{
  modelValue: number
}>(), {
  modelValue: 0,
})
const emit = defineEmits(['update:modelValue'])
interface Biz {
  bizId: number
  bizTitle: string
}
const bizId = computed({
  get: () => {
    return props.modelValue
  },
  set: (val) => {
    emit('update:modelValue', val)
  },
})
const state = reactive({
  loading: false,
  dataList: [] as Biz[],
})

const getData = async () => {
  state.loading = true
  const { data } = await getBizByList({})
  state.loading = false
  state.dataList = data
}
onMounted(() => {
  getData ()
})
</script>

<template>
  <el-select v-model="bizId" v-loading="state.loading" style="width: 100%" filterable placeholder="请选择业务模型" value-key="bizId">
    <el-option key="0" label="请选择" :value="0" disabled />
    <el-option
      v-for="item in state.dataList"
      :key="item.bizId"
      :label="item.bizTitle"
      :value="item.bizId"
    />
  </el-select>
</template>
